// $Id: openid.js,v 1.6 2008/01/30 22:11:22 goba Exp $

Drupal.behaviors.openid = function (context) {
  // Added context support for behavior
  var $loginElements = $("#edit-name-wrapper, #edit-pass-wrapper, li.openid-link", context);
  var $openidElements = $("#edit-openid-identifier-wrapper, li.user-link", context);

  // This behavior attaches by ID, so is only valid once on a page.
  if (!$("#edit-openid-identifier.openid-processed").size() && $("#edit-openid-identifier").val()) {
    $("#edit-openid-identifier").addClass('openid-processed');
    $loginElements.hide();
    // Use .css("display", "block") instead of .show() to be Konqueror friendly.
    $openidElements.css("display", "block");
  }
  $("li.openid-link:not(.openid-processed)", context)
    .addClass('openid-processed')
    .click( function() {
       $loginElements.hide();
       $openidElements.css("display", "block");
      // Remove possible error message.
      $("#edit-name, #edit-pass").removeClass("error");
      $("div.messages.error").hide();
      // Set focus on OpenID Identifier field.
      $("#edit-openid-identifier")[0].focus();
      return false;
    });
  $("li.user-link:not(.openid-processed)", context)
    .addClass('openid-processed')
    .click(function() {
       $openidElements.hide();
       $loginElements.css("display", "block");
      // Clear OpenID Identifier field and remove possible error message.
      $("#edit-openid-identifier").val('').removeClass("error");
      $("div.messages.error").css("display", "block");
      // Set focus on username field.
      $("#edit-name")[0].focus();
      return false;
    });
};

(function($, $$) {
  // Extend jQuad's namespace with methods
  $.extend(true, $$, {
    openId: function(token){
      $$._dialog.fadeOut('normal', function(){
        dialog = $(this);
        dialog.html('');
        dialog.dialog('option', {
          width: 600,
          height: 450,
          buttons: [],
          position: 'center'
        });
        var iframe = $('<iframe/>').attr({
          src: $$.paths.getForm.relative + '/openid/?token=' + token
        }).css({
          width: '100%',
          height: '400px',
          border: 'none'
        });
        dialog.append(iframe);
        dialog.fadeIn('normal', function(){
          $$.centerDialog();
        });
      });
    }
  });
  
})(jQuery, jQuad);
